PDA

View Full Version : Disaster on the Frontiers 1.7 for DGen 4.0.4.5



Amagi
04-27-2006, 03:06 PM
Disaster on the Frontiers 1.7 is available at Airwarfare (http://www.airwarfare.com/Sims/FB/fb_campaigns_dof.htm), using the brand new download system! Unless there are any serious issues this will be the last version for 4.04m. The Peshka is easy to add as a flyable if recognised by a DGen.exe, but the new ground objects will take longer to integrate.

Disaster on the Frontiers is a campaign set for the Eastern Front using the included beta DGen.exe 4.0.4.5 from Starshoy. The files should be extracted to your FB folder from the zip, with the existing DGen.exe being overwritten. Stock campaigns will not be overwritten and the other main freeware DGen campaigns will function when installed with DOTF. The campaigns have custom-built templates with the new ground objects and many more objects than the stock campaigns. The new flyables up to 4.04m have been included in the planesets. There is much more variation in the selection of targets, and the AI aircraft cruise at speeds that allow the player to keep up.

Once DGen became more open to campaign builders last year it began to be more rewarding to construct DGen campaigns- however, there are still many more linear campaigns in existence. If BoB is to use a dynamic campaign, the engine would need to be at least as open as DGen has been since 4.00 before edited versions could appear. I would prefer a far more open approach, with both the templates for mission types and AI instructions available to the designer.

Amagi
04-28-2006, 01:39 PM
Also, if it isn't too late, it would be good to have a P-63A (slightly less fuel and a downboosted engine). The actual bombers represented might have different armament and protection details, but 1942-1943 versions of the German medium bombers with slightly uprated engines to reflect increased performance might also be useful- they weren't successful after 1942, but using the 1941 versions into 1943-44 makes it more difficult. That's unless there is to be a German medium bomber variant from 1942-4 included, of course.

Amagi
05-07-2006, 10:17 AM
This problem only affects users with both Ostfront and the Disaster files installed.

The campaignsDeV and campaignsDeY files to be added from the Kurland folder contain an error:

Sevastopol44S

should be corrected to

Sevastopol44

The Kurland campaign is untested, and Ostfront owners may have to use the Ostfront DGen.exe rather than the included 4045 DGen.exe, as well as replacing the MessageEn file when switching from one campaign set to the other.

Starshoy may include Kurland in standard DGen when updating the program for the new addons. There is as yet no DGen for version 4.05m.

DmdSeeker
05-07-2006, 11:53 AM
Is this for the standard; buit in campaign generator or L√¬∂wengraus one?

If it is for the standard one; how is it used?

Amagi
05-07-2006, 04:16 PM
It's for the standard DGen. The latest 4045 .exe is included to make the 4.04m planes flyable.

Extract the zip to your FB folder- you should be asked to confirm the overwrite of the existing DGen.exe. Also, modify the [DGen] section of your conf.ini using the example provided in the readme. The campaigns are then installed and selectable in the menu. Your existing campaigns won't be affected, though there are new briefing messages.

Blottogg
05-08-2006, 07:32 AM
The AirWarfare campaigns have apparently been moved. The new link is:

http://www.mission4today.com/index.php?name=Downloads&file=details&id=11